int ledPin[] = {2, 3, 4, 5, 6, 7, 8, 9};
int bits[] ={B10000000,B01000000,B00100000,B00010000,B00001000,B00000100,B00000010,B00000001};
int anode = 10;
byte numbers[]={0x03, 0x9f, 0x25, 0x0d, 0x99, 0x49, 0x41, 0x1f, 0x01, 0x09, 0x11, 0xc1, 0x63, 0x85, 0x61, 0x71, 0xfd, 0xef};
int bright=255;
int out=0;

void setup() {
  pinMode(anode,OUTPUT);
  int bright=255;
  int thisPin;
  // initialise output pins
  for(int thisPin = 0; thisPin < 8; thisPin++)  {
    pinMode(ledPin[thisPin], OUTPUT);
    // set LED off by taking pin high  
    digitalWrite(thisPin,HIGH);    
  }
}

void loop(){
    analogWrite(anode,bright);
    for (int i = 0; i < 18; i++) {
      // loop through the characters
      for (int p = 0; p < 8; p++) {
        //loop through the pins now
        out= numbers[i] & bits[p];
        digitalWrite(ledPin[p], out);
      }
      // a character has been written, delay for a bit
      delay(1000);
    }
    // toggle the state of the pwm
    bright = bright - 64;
    if (bright <1) 
        bright=255;
 }
    
    
    
